cURL
curl -X DELETE "https://api.ionq.co/v0.3/jobs" \
-H "Authorization: apiKey your-api-key" \
-H "Content-Type: application/json" \
-d '{
"ids": [
"617a1f8b-59d4-435d-aa33-695433d7155e",
"2ccf2773-4c28-468e-a290-2f8554808a25",
"f92df2b6-d212-4f4a-b9ea-024b58c5c3e8"
]
}'
import requests
url = "https://api.ionq.co/v0.3/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ionq.co/v0.3/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ids": [
"aa54e783-0a9b-4f73-ad2f-63983b6aa4a8"
],
"status": "deleted"
}Jobs
Delete many Jobs
Permanently remove many jobs from our platform. This cannot be undone.
DELETE
/
jobs
cURL
curl -X DELETE "https://api.ionq.co/v0.3/jobs" \
-H "Authorization: apiKey your-api-key" \
-H "Content-Type: application/json" \
-d '{
"ids": [
"617a1f8b-59d4-435d-aa33-695433d7155e",
"2ccf2773-4c28-468e-a290-2f8554808a25",
"f92df2b6-d212-4f4a-b9ea-024b58c5c3e8"
]
}'
import requests
url = "https://api.ionq.co/v0.3/jobs"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ionq.co/v0.3/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ids": [
"aa54e783-0a9b-4f73-ad2f-63983b6aa4a8"
],
"status": "deleted"
}Query Parameters
A list of job UUIDs
Response
200 - application/json
Successfully deleted requested jobs
Response body from successfully deleting many jobs.
A list of UUIDs of deleted jobs.
The UUID of a job. We'll provide the UUID initially in our response to a job creation request.
Status of a job (always deleted).
Available options:
deleted Was this page helpful?
⌘I

